import request from '../../../../utils/request'

export function GetCheckContents(params) {
	return new Promise((resolve, reject) => {
		request.post("/SK/SKSecurityInspectionNotice/GetCheckContents", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result.Data);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
export function GetCheckInspection(params) {
	return new Promise((resolve, reject) => {
		request.post("/LR/Law/OrderPaged", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
export function GetPostOrderPaged(params) {
	return new Promise((resolve, reject) => {
		request.post("/SK/SKEnterpriseLibrary/PostOrderPaged", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
export function GetIdentityUserRecord(params) {
	return new Promise((resolve, reject) => {
		request.post("/SK/SKSecurityInspectionRecord/GetIdentityUserEditApp", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result.Data);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
export function GetIdentityUserNewRecord(params) {
	return new Promise((resolve, reject) => {
		request.post("/SK/SKSecurityInspectionRecord/GetIdentityUserEdit", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result.Data);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
export function GetSKEnterpriseLibraryRecord(params) {
	return new Promise((resolve, reject) => {
		request.post("/SK/SKEnterpriseLibrary/SKGet", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result.Data);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
export function GetHandRiskReportRecord(params) {
	return new Promise((resolve, reject) => {
		request.post("/SK/HiddenDangerHandReport/Get", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result.Data);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
export function GetVerifyRiskReportRecord(params) {
	return new Promise((resolve, reject) => {
		request.post("/SK/SKHiddenDangerConfirm/SKGet", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result.Data);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
export function GetHiddenDangerReport(params) {
	return new Promise((resolve, reject) => {
		request.post("/SK/SKHiddenDangerReport/GetIdentityUserEditApp", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result.Data);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
export function GetHiddenDangerReportNew(params) {
	return new Promise((resolve, reject) => {
		request.post("/SK/SKHiddenDangerReport/GetIdentityUserEdit", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result.Data);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
export function GetHDReport(params) {
	return new Promise((resolve, reject) => {
		request.post("/SK/SKHiddenDangerReport/SKGet", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result.Data);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
export function GetDangerRectifyReport(params) {
	return new Promise((resolve, reject) => {
		request.post("/SK/SKHiddenDangerRectifyNotice/SKGet", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result.Data);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
export function GetDangerRectifyShow(params) {
	return new Promise((resolve, reject) => {
		request.post("/SK/SKHiddenDangerRectifyNotice/GetIdentityUserEdit", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result.Data);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
export function GetRiskHandleReport(params) {
	return new Promise((resolve, reject) => {
		request.post("/SK/HiddenDangerHandReport/Get", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result.Data);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
export function GetRiskVerifyReport(params) {
	return new Promise((resolve, reject) => {
		request.post("/SK/SKHiddenDangerConfirm/SKGet", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result.Data);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
export function EvaluationPlanGet(params) {
	return new Promise((resolve, reject) => {
		request.post("/SK/SKIdentifyEvaluationPlan/SKGet", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result.Data);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
export function EvaIdentifyPlanGet(params) {
	return new Promise((resolve, reject) => {
		request.post("/SK/SKRiskIdentify/SKGet", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result.Data);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
export function EvaIdentifyResGet(params) {
	return new Promise((resolve, reject) => {
		request.post("/SK/SKRiskIdentifyResult/SKGet", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result.Data);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
export function EvaluationGet(params) {
	return new Promise((resolve, reject) => {
		request.post("/SK/SKRiskEvaluation/SKGet", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result.Data);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
export function DouPreGet(params) {
	return new Promise((resolve, reject) => {
		request.post("/SK/SKDoublePreventMechanism/SKGet", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result.Data);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
export function SKEnterpriseLibrary(params) {
	return new Promise((resolve, reject) => {
		request.post("/SK/SKEnterpriseLibrary/GetCheckListNew", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result.Data);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
export function GetPostRiskList(params) {
	return new Promise((resolve, reject) => {
		request.post("/SK/SKEnterpriseLibrary/GetPostRiskList", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
export function DepartOrderPaged(params) {
	return new Promise((resolve, reject) => {
		request.post("/SK/SKEnterpriseLibrary/DepartOrderPaged", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
export function SKEnterpriseLibraryNew(params) {
	return new Promise((resolve, reject) => {
		request.post("/SK/SKEnterpriseLibrary/GetCheckListNew", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result.Data);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
export function GetCheckDetailList(params) {
	return new Promise((resolve, reject) => {
		request.post("/SK/SKEnterpriseLibrary/GetCheckDetailList", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result.Data);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
export function EvaluationSumGet(params) {
	return new Promise((resolve, reject) => {
		request.post("/SK/SKRiskEvaluationSummary/SKGet", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result.Data);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
export function EvaIdentifySumGet(params) {
	return new Promise((resolve, reject) => {
		request.post("/SK/SKRiskIdentifyResultSummary/SKGet", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result.Data);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
export function GetRiskVerifyRecodrReport(params) {
	return new Promise((resolve, reject) => {
		request.post("/SK/SKHiddenDangerRectifyRecord/SKGet", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result.Data);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
export function GetRectifyDelayApplyReport(params) {
	return new Promise((resolve, reject) => {
		request.post("/SK/SKHiddenDangerRectifyDelayApply/SKGet", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result.Data);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
//人员列表
export function getUserLists(params) {
  return new Promise((resolve, reject) => {
    request.post("/FM/User/OrderPaged", params).then((result) => {
      if (result.IsSuccessful) {
        resolve(result);
      }
    }).catch((error)=>{
      reject(error);
    })
  })
}
export function GetIdentityUserRecordSummary(params) {
	return new Promise((resolve, reject) => {
		request.post("/SK/SKSecurityInspectionRecordSummary/GetIdentityUserEditApp", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result.Data);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
export function GetIdentityUserRecordSummaryNew(params) {
	return new Promise((resolve, reject) => {
		request.post("/SK/SKSecurityInspectionRecordSummary/GetIdentityUserEdit", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result.Data);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
export function GetRecordSummary(params) {
	return new Promise((resolve, reject) => {
		request.post("/SK/SKSecurityInspectionRecordSummary/SKGet", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result.Data);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
export function GetIdentityUserEdit(params) {
	return new Promise((resolve, reject) => {
		request.post("/SK/SKSecurityInspectionNotice/GetIdentityUserEditApp", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result.Data);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
export function GetIdentityNewEdit(params) {
	return new Promise((resolve, reject) => {
		request.post("/SK/SKSecurityInspectionNotice/GetIdentityUserEdit", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result.Data);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
export function GetIdentityUserEditNew(params) {
	return new Promise((resolve, reject) => {
		request.post("/SK/SKSecurityInspectionNotice/SKGet", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result.Data);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
export function IdentityUpdate(params) {
	return new Promise((resolve, reject) => {
		request.post("/SK/SKSecurityInspectionNotice/IdentityUpdate", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result.Data);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
export function SKHiddenDangerIdentityUpdate(params) {
	return new Promise((resolve, reject) => {
		request.post("/SK/SKHiddenDangerConfirm/IdentityUpdate", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result.Data);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
export function HiddenDangerReportUpdate(params) {
	return new Promise((resolve, reject) => {
		request.post("/SK/SKHiddenDangerReport/IdentityUpdate", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result.Data);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
export function SummaryIdentityUpdate(params) {
	return new Promise((resolve, reject) => {
		request.post("/SK/SKSecurityInspectionRecordSummary/IdentityUpdateNew", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result.Data);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
export function SKRectifyNoticeShow(params) {
	return new Promise((resolve, reject) => {
		request.post("/SK/SKHiddenDangerRectifyNotice/IdentityUpdate", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result.Data);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
export function HiddenDangerRectifyRecordShow(params) {
	return new Promise((resolve, reject) => {
		request.post("/SK/SKHiddenDangerRectifyRecord/IdentityUpdate", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result.Data);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
export function SKRectifyDelayApplyShow(params) {
	return new Promise((resolve, reject) => {
		request.post("/SK/SKHiddenDangerRectifyDelayApply/IdentityUpdate", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result.Data);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
export function FullUpdate(params) {
	return new Promise((resolve, reject) => {
		request.post("/SK/SKSecurityInspectionNotice/FullUpdate", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result.Data);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
//获取检查类型
export function CheckTypeNewOrderPaged(params) {
	return new Promise((resolve, reject) => {
		request.post("/SK/CheckType/OrderPaged", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
export function CheckSKTypeNewOrderPaged(params) {
	return new Promise((resolve, reject) => {
		request.post("/SK/SKCheckType/OrderPaged", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
export function RecordFullUpdate(params) {
	return new Promise((resolve, reject) => {
		request.post("/SK/SKSecurityInspectionRecord/FullUpdate", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result.Data);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
export function HiddenDangerReportFullUpdate(params) {
	return new Promise((resolve, reject) => {
		request.post("/SK/SKHiddenDangerHandReport/FullUpdate", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result.Data);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
export function HiddenVerifyFullUpdate(params) {
	return new Promise((resolve, reject) => {
		request.post("/SK/SKHiddenDangerConfirm/FullUpdate", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result.Data);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
export function EvaluationPlanFullUpdate(params) {
	return new Promise((resolve, reject) => {
		request.post("/SK/SKIdentifyEvaluationPlan/FullUpdate", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result.Data);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
export function SKRiskIdentifyFullUpdate(params) {
	return new Promise((resolve, reject) => {
		request.post("/SK/SKRiskIdentify/FullUpdate", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result.Data);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
export function IdentifyResFullUpdate(params) {
	return new Promise((resolve, reject) => {
		request.post("/SK/SKRiskIdentifyResult/FullUpdate", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result.Data);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
export function EvaluationFullUpdate(params) {
	return new Promise((resolve, reject) => {
		request.post("/SK/SKRiskEvaluation/FullUpdate", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result.Data);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
export function SKDoublePreventFullUpdate(params) {
	return new Promise((resolve, reject) => {
		request.post("/SK/SKDoublePreventMechanism/FullUpdate", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result.Data);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
export function RectifyFullUpdateEdit(params) {
	return new Promise((resolve, reject) => {
		request.post("/SK/SKHiddenDangerRectifyRecord/FullUpdate", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result.Data);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
export function RectifyDeferrFullUpdate(params) {
	return new Promise((resolve, reject) => {
		request.post("/SK/SKHiddenDangerRectifyDelayApply/FullUpdate", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result.Data);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
export function SummaryFullUpdate(params) {
	return new Promise((resolve, reject) => {
		request.post("/SK/SKSecurityInspectionRecordSummary/FullUpdate", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result.Data);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
export function DangerReportFullUpdate(params) {
	return new Promise((resolve, reject) => {
		request.post("/SK/SKHiddenDangerReport/FullUpdate", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result.Data);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
export function DangerReportCancel(params) {
	return new Promise((resolve, reject) => {
		request.post("/SK/SKHiddenDangerReport/CancleReport", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result.Data);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
export function DangerRectifyFullUpdate(params) {
	return new Promise((resolve, reject) => {
		request.post("/SK/SKHiddenDangerRectifyNotice/FullUpdate", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result.Data);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
export function GetSafeInfo(params) {
	return new Promise((resolve, reject) => {
		request.post("/SK/SKSecurityInspectionRecord/SKGet", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result.Data);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
export function GetSafeCheckListInfo(params) {
	return new Promise((resolve, reject) => {
		request.post("/SK/SecurityInspectionNotice/OrderPaged", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
export function GetSafeCheckRecordListInfo(params) {
	return new Promise((resolve, reject) => {
		request.post("/SK/SecurityInspectionRecord/OrderPaged", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
export function GetSKEnterpriseLibrary(params) {
	return new Promise((resolve, reject) => {
		request.post("/SK/SKEnterpriseLibrary/SKOrderPaged", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
export function GetHiddenDangerListInfo(params) {
	return new Promise((resolve, reject) => {
		request.post("/SK/HiddenDangerReport/OrderPaged", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
export function GetHiddenHandelListInfo(params) {
	return new Promise((resolve, reject) => {
		request.post("/SK/HiddenDangerHandReport/OrderPaged", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
export function GetHiddenConfirmListInfo(params) {
	return new Promise((resolve, reject) => {
		request.post("/SK/HiddenDangerConfirm/OrderPaged", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
export function GetRectifyListInfo(params) {
	return new Promise((resolve, reject) => {
		request.post("/SK/SKHiddenDangerRectifyNotice/FullOrderPaged", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
export function GetRectifyRecordListInfo(params) {
	return new Promise((resolve, reject) => {
		request.post("/SK/SKHiddenDangerRectifyRecord/SKOrderPaged", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
export function GetDelayListInfo(params) {
	return new Promise((resolve, reject) => {
		request.post("/SK/SKHiddenDangerRectifyDelayApply/SKOrderPaged", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
export function SKDoublePreventMechanismInfo(params) {
	return new Promise((resolve, reject) => {
		request.post("/SK/DoublePreventMechanism/OrderPaged", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result.Data);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}

export function GetSafeCheckRecordSummaryListInfo(params) {
	return new Promise((resolve, reject) => {
		request.post("/SK/SecurityInspectionRecordSummary/OrderPaged", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
export function GetCheckContentsInfo(params) {
	return new Promise((resolve, reject) => {
		request.post("/SK/CheckContents/OrderPaged", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
export function GetNewCheckContentsInfo(params) {
	return new Promise((resolve, reject) => {
		request.post("/SK/SKCheckContents/SKOrderPaged", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
export function GetCheckContentsNew(params) {
	return new Promise((resolve, reject) => {
		request.post("/SK/CheckContents/Get", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result.Data);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
export function GetHiddenScripList(params) {
	return new Promise((resolve, reject) => {
		request.post("/SK/SKCheckContents/GetHiddenScripList", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
export function GetDepartmentInfo(params) {
	return new Promise((resolve, reject) => {
		request.post("/FM/Department/OrderPaged", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
export function GetUserPostInfo(params) {
	return new Promise((resolve, reject) => {
		request.post("/FM/UserPost/OrderPaged", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result.Data);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
export function GetSKRequestInfo(params) {
	return new Promise((resolve, reject) => {
		request.post("/SK/Request/OrderPaged", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}

export function GetRiskAreaInfo(params) {
	return new Promise((resolve, reject) => {
		request.post("/SK/RiskArea/OrderPaged", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
export function GetNewRiskAreaInfo(params) {
	return new Promise((resolve, reject) => {
		request.post("/SK/SKRiskArea/OrderPaged", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
export function GetRiskTypeInfo(params) {
	return new Promise((resolve, reject) => {
		request.post("/SK/RiskType/OrderPaged", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
export function GetNewRiskTypeInfo(params) {
	return new Promise((resolve, reject) => {
		request.post("/SK/SKRiskType/OrderPaged", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
export function GetRiskNameInfo(params) {
	return new Promise((resolve, reject) => {
		request.post("/SK/RiskName/OrderPaged", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
export function GetEvaluationInfo(params) {
	return new Promise((resolve, reject) => {
		request.post("/SK/Evaluation/OrderPaged", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
export function GetRiskCodeInfo(params) {
	return new Promise((resolve, reject) => {
		request.post("/SK/SKHiddenDangerRectifyDelayApply/RecordOrderPaged", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
export function SKCheckContentsFullUpdate(params) {
	return new Promise((resolve, reject) => {
		request.post("/SK/SKCheckContents/FullUpdate", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result.Data);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
export function GetScorel(params) {
	return new Promise((resolve, reject) => {
		request.post("/SK/Scorel/OrderPaged", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
export function GetScoree(params) {
	return new Promise((resolve, reject) => {
		request.post("/SK/Scoree/OrderPaged", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
export function GetScorec(params) {
	return new Promise((resolve, reject) => {
		request.post("/SK/Scorec/OrderPaged", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
export function GetSKCheckType(params) {
	return new Promise((resolve, reject) => {
		request.post("/SK/SKCheckType/OrderPagedNew", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
export function SKOrderEntities(params) {
	return new Promise((resolve, reject) => {
		request.post("/SK/SKEnterpriseLibrary/SKOrderEntities", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
export function SKHiddenReason(params) {
	return new Promise((resolve, reject) => {
		request.post("/SK/HiddenReason/OrderPaged", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}


